import LokiJSAdapter from '@nozbe/watermelondb/adapters/lokijs';
import { schema } from './schema';
import { migrations } from './migrations';

export const adapter = new LokiJSAdapter({
  schema,
  migrations,
  dbName: 'carryyourlive',
  useWebWorker: false,
  useIncrementalIndexedDB: true,
  onSetUpError: (error) => {
    console.error('Database setup error:', error);
  },
});
